%define upstream_name    HTTP-Server-Simple
%define upstream_version 0.51

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Perl module to write simple standalone http daemons

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(CGI) 
BuildRequires:	perl(URI::Escape)
Requires:	perl(CGI)
BuildArch:	noarch

%description
This module is a simple standalone http dameon. It doesn't thread. It doesn't
fork. It does, however, act as a simple frontend which can turn a CGI into a
standalone web-based application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ex README Changes
%{perl_vendorlib}/HTTP
%{_mandir}/man3/*

%changelog

* Sun Dec 27 2015 Denis Silakov <dsilakov@gmail.com> 0.510.0-1
- (c2567f5) Updated to 0.51 (by updates_builder)


